MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025800Open CASCADE[OCCT] OCCT:Visualizationpublic2015-02-06 16:312015-05-14 15:32
Reporterkgv 
Assigned Tobugmaster 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025800: Visualization, TKOpenGl - disable GL_DITHER explicitly
DescriptionGL_DITHER is enabled by default, but useless nowadays.
Still might affect performance on some OpenGL implementations (e.g. Microsoft software implementation).

http://www.opencascade.org/org/forum/thread_26860/?forum=3 [^]

Interactive test case - make sense only on Windows for manual execution:
pload MODELING VISUALIZATION
box b 1 2 3
vcaps -softMode 0
vinit View1
vdisplay b
vfit
vselmode 4 1
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024847closedapn CLang warnings -Wdeprecated-writable-strings in OpenGl_Display 

-  Notes
(0037190)
git (administrator)
2015-02-06 16:38

Branch CR25800 has been created by kgv.

SHA-1: de96eff1061466f4910b95153e06ab00ed905fd3


Detailed log of new commits:

Author: kgv
Date: Fri Feb 6 16:38:08 2015 +0300

    0025800: Visualization, TKOpenGl - disable GL_DITHER explicitly
(0037191)
kgv (developer)
2015-02-06 16:38

Patch is ready for review.
(0037203)
san (developer)
2015-02-08 22:35

Branch CR25800 reviewed without remarks, ready for testing.
(0037278)
apv (tester)
2015-02-10 12:37

Dear BugMaster,

Branch CR25800 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: de96eff1061466f4910b95153e06ab00ed905fd3

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 86185453 / 86187735
Total CPU difference: 50308.67999999997 / 47876.709999999846

Testing on Windows:
Total MEMORY difference: 40648616 / 40658608
Total CPU difference: 34929.6875 / 32754.1875
(0038594)
git (administrator)
2015-03-18 13:38

Branch CR25800 has been deleted by inv.

SHA-1: de96eff1061466f4910b95153e06ab00ed905fd3

- Related Changesets
occt: master 5bd9ed93
Timestamp: 2015-02-06 13:38:08
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025800: Visualization, TKOpenGl - disable GL_DITHER explicitly
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-06 16:31 kgv New Issue
2015-02-06 16:31 kgv Assigned To => kgv
2015-02-06 16:38 git Note Added: 0037190
2015-02-06 16:38 kgv Note Added: 0037191
2015-02-06 16:38 kgv Assigned To kgv => san
2015-02-06 16:38 kgv Status new => resolved
2015-02-06 16:49 kgv Relationship added related to 0024847
2015-02-06 16:49 kgv Priority normal => low
2015-02-06 18:26 kgv Description Updated View Revisions
2015-02-08 22:35 san Note Added: 0037203
2015-02-08 22:35 san Assigned To san => bugmaster
2015-02-08 22:35 san Status resolved => reviewed
2015-02-09 11:03 apv Assigned To bugmaster => apv
2015-02-10 11:46 apv Test case number => Not needed
2015-02-10 12:37 apv Note Added: 0037278
2015-02-10 12:37 apv Assigned To apv => bugmaster
2015-02-10 12:37 apv Status reviewed => tested
2015-02-13 17:55 bugmaster Changeset attached => occt master 5bd9ed93
2015-02-13 17:55 bugmaster Status tested => verified
2015-02-13 17:55 bugmaster Resolution open => fixed
2015-03-18 13:38 git Note Added: 0038594
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker